package sun.management.snmp.jvmmib;

import com.sun.jmx.snmp.agent.SnmpMibSubRequest;
import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpOid;
import com.sun.jmx.snmp.SnmpCounter64;
import com.sun.jmx.snmp.SnmpString;
import com.sun.jmx.snmp.SnmpValue;
import com.sun.jmx.snmp.agent.SnmpMibNode;
import com.sun.jmx.snmp.agent.SnmpMib;
import com.sun.jmx.snmp.agent.SnmpStandardObjectServer;
import com.sun.jmx.snmp.agent.SnmpStandardMetaServer;
import java.io.Serializable;
import com.sun.jmx.snmp.agent.SnmpMibEntry;

public class JvmThreadInstanceEntryMeta extends SnmpMibEntry implements Serializable, SnmpStandardMetaServer
{
    static final long serialVersionUID = -2015330111801477399L;
    protected JvmThreadInstanceEntryMBean node;
    protected SnmpStandardObjectServer objectserver;
    
    public JvmThreadInstanceEntryMeta(SnmpMib snmpMib, SnmpStandardObjectServer objectserver) {
        this.objectserver = null;
        this.objectserver = objectserver;
        (this.varList = new int[10])[0] = 9;
        this.varList[1] = 8;
        this.varList[2] = 7;
        this.varList[3] = 6;
        this.varList[4] = 5;
        this.varList[5] = 4;
        this.varList[6] = 3;
        this.varList[7] = 11;
        this.varList[8] = 2;
        this.varList[9] = 10;
        SnmpMibNode.sort(this.varList);
    }
    
    public SnmpValue get(long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 9: {
                return new SnmpString(this.node.getJvmThreadInstName());
            }
            case 8: {
                return new SnmpCounter64(this.node.getJvmThreadInstCpuTimeNs());
            }
            case 7: {
                return new SnmpCounter64(this.node.getJvmThreadInstWaitTimeMs());
            }
            case 6: {
                return new SnmpCounter64(this.node.getJvmThreadInstWaitCount());
            }
            case 5: {
                return new SnmpCounter64(this.node.getJvmThreadInstBlockTimeMs());
            }
            case 4: {
                return new SnmpCounter64(this.node.getJvmThreadInstBlockCount());
            }
            case 3: {
                return new SnmpString(this.node.getJvmThreadInstState());
            }
            case 11: {
                return new SnmpOid(this.node.getJvmThreadInstLockOwnerPtr());
            }
            case 2: {
                return new SnmpCounter64(this.node.getJvmThreadInstId());
            }
            case 10: {
                return new SnmpString(this.node.getJvmThreadInstLockName());
            }
            case 1: {
                throw new SnmpStatusException(224);
            }
            default: {
                throw new SnmpStatusException(225);
            }
        }
    }
    
    public SnmpValue set(SnmpValue snmpValue, long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 9: {
                throw new SnmpStatusException(17);
            }
            case 8: {
                throw new SnmpStatusException(17);
            }
            case 7: {
                throw new SnmpStatusException(17);
            }
            case 6: {
                throw new SnmpStatusException(17);
            }
            case 5: {
                throw new SnmpStatusException(17);
            }
            case 4: {
                throw new SnmpStatusException(17);
            }
            case 3: {
                throw new SnmpStatusException(17);
            }
            case 11: {
                throw new SnmpStatusException(17);
            }
            case 2: {
                throw new SnmpStatusException(17);
            }
            case 10: {
                throw new SnmpStatusException(17);
            }
            case 1: {
                throw new SnmpStatusException(17);
            }
            default: {
                throw new SnmpStatusException(17);
            }
        }
    }
    
    public void check(SnmpValue snmpValue, long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 9: {
                throw new SnmpStatusException(17);
            }
            case 8: {
                throw new SnmpStatusException(17);
            }
            case 7: {
                throw new SnmpStatusException(17);
            }
            case 6: {
                throw new SnmpStatusException(17);
            }
            case 5: {
                throw new SnmpStatusException(17);
            }
            case 4: {
                throw new SnmpStatusException(17);
            }
            case 3: {
                throw new SnmpStatusException(17);
            }
            case 11: {
                throw new SnmpStatusException(17);
            }
            case 2: {
                throw new SnmpStatusException(17);
            }
            case 10: {
                throw new SnmpStatusException(17);
            }
            case 1: {
                throw new SnmpStatusException(17);
            }
            default: {
                throw new SnmpStatusException(17);
            }
        }
    }
    
    protected void setInstance(JvmThreadInstanceEntryMBean node) {
        this.node = node;
    }
    
    public void get(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.get(this, snmpMibSubRequest, n);
    }
    
    public void set(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.set(this, snmpMibSubRequest, n);
    }
    
    public void check(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.check(this, snmpMibSubRequest, n);
    }
    
    public boolean isVariable(long n) {
        switch ((int)n) {
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
            case 7:
            case 8:
            case 9:
            case 10:
            case 11: {
                return true;
            }
            default: {
                return false;
            }
        }
    }
    
    public boolean isReadable(long n) {
        switch ((int)n) {
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
            case 7:
            case 8:
            case 9:
            case 10:
            case 11: {
                return true;
            }
            default: {
                return false;
            }
        }
    }
    
    public boolean skipVariable(long n, Object o, int n2) {
        switch ((int)n) {
            case 2:
            case 4:
            case 5:
            case 6:
            case 7:
            case 8: {
                if (n2 == 0) {
                    return true;
                }
                break;
            }
            case 1: {
                return true;
            }
        }
        return super.skipVariable(n, o, n2);
    }
    
    public String getAttributeName(long n) throws SnmpStatusException {
        switch ((int)n) {
            case 9: {
                return "JvmThreadInstName";
            }
            case 8: {
                return "JvmThreadInstCpuTimeNs";
            }
            case 7: {
                return "JvmThreadInstWaitTimeMs";
            }
            case 6: {
                return "JvmThreadInstWaitCount";
            }
            case 5: {
                return "JvmThreadInstBlockTimeMs";
            }
            case 4: {
                return "JvmThreadInstBlockCount";
            }
            case 3: {
                return "JvmThreadInstState";
            }
            case 11: {
                return "JvmThreadInstLockOwnerPtr";
            }
            case 2: {
                return "JvmThreadInstId";
            }
            case 10: {
                return "JvmThreadInstLockName";
            }
            case 1: {
                return "JvmThreadInstIndex";
            }
            default: {
                throw new SnmpStatusException(225);
            }
        }
    }
}
